# Buckler  
A security shield for protecting a number of small web applications.  

## Requirements  
Python 3.7+  
PostgreSQL 11.5+  
Python packages: `wheel gunicorn aiohttp aiohttp_jinja2 asyncpg passlib argon2_cffi uvloop fido2`  

## Install  
```
$ psql
postgres=# CREATE DATABASE "buckler";
postgres=# CREATE USER "buckler" WITH PASSWORD 'password';
postgres=# ALTER ROLE "buckler" SET client_encoding TO 'utf8';
postgres=# ALTER ROLE "buckler" SET default_transaction_isolation TO 'read committed';
postgres=# ALTER ROLE "buckler" SET timezone TO 'UTC';
postgres=# GRANT ALL PRIVILEGES ON DATABASE "buckler" TO "buckler";
postgres=# \q
```
1. Get on the floor  
2. Walk the dinosaur  

## Usage  
`gunicorn buckler:init_app --bind localhost:5400 --worker-class aiohttp.GunicornWebWorker`  
